<template>
    <h1 class="header">Cat Facts</h1>
<!--    //set up a v-model=of the username that can get passed into the child-->
<!--    <user-form v-model:first-name="userName.firstName" v-model:last-name="userName.lastName"></user-form>-->
<!--  <user-form @set-user-name="setUserName"></user-form>-->
  <router-view></router-view>
<!--    <cat-facts :user-name="userName"></cat-facts>-->
<!--  <router-link to="user-form">UserForm</router-link>-->
</template>


<script>
import {defineComponent} from "vue";

export default defineComponent({
    mounted() {
    },
    components: {
    },
    data(){
        return{
            userName: {
                firstName: null,
                lastName: null
            }
        }
    },
    created(){
    },
    methods:{
    }
})


</script>

<style>
.header{
    background-color: red;
    color: white;
    padding: 10px 20px;
    font-weight: bold;
}

button{
  background-color: #eb0017;
  color: white;
  border: 0px;
  border-radius: 5px;
  margin: 15px;
  padding: 5px 20px;
  font-weight: bold;
}

.user-form{
  border: 1px solid black;
  margin: 25px 50px;
  padding: 10px;
  border-radius: 10px;
}

</style>